Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(61)

Issue 2575263002: [Autofill] Add a new metric for upstream. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 1 week ago by Shanfeng
Modified:
9 months, 1 week ago
CC:
chromium-reviews, rouslan+autofill_chromium.org, sebsg+autofillwatch_chromium.org, browser-components-watch_chromium.org, jdonnelly+autofillwatch_chromium.org, mathp+autofillwatch_chromium.org, vabr+watchlistautofill_chromium.org, estade+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Autofill] Add a new metric for upstream. This can meature usage rate more accurately. Count the number of submissions with autofill suggestion shown. BUG=674678 TEST=AutofillMetricsTest Committed: https://crrev.com/0132f2f2759b9e62b94c8846712c5b77e02baab7 Cr-Commit-Position: refs/heads/master@{#439569}

Patch Set 1 #

Patch Set 2 : Added the xml file #

Patch Set 3 : adding some tests #

Patch Set 4 : Added all the unit tests. #

Total comments: 11

Patch Set 5 : Resolve comments. #

Total comments: 8

Patch Set 6 : Resolve comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+217 lines, -16 lines) Patch
M components/autofill/core/browser/autofill_metrics.h View 1 2 3 4 5 1 chunk +7 lines, -0 lines 0 comments Download
M components/autofill/core/browser/autofill_metrics.cc View 2 chunks +8 lines, -0 lines 0 comments Download
M components/autofill/core/browser/autofill_metrics_unittest.cc View 1 2 3 20 chunks +200 lines, -16 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_rel_ng   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_chromium_chromeos_rel_ng   android_n5x_swarming_rel   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux 
Commit queue not available (can’t edit this change).

Messages

Total messages: 34 (20 generated)
Jared Saul
https://codereview.chromium.org/2575263002/diff/60001/components/autofill/core/browser/autofill_metrics.h File components/autofill/core/browser/autofill_metrics.h (right): https://codereview.chromium.org/2575263002/diff/60001/components/autofill/core/browser/autofill_metrics.h#newcode369 components/autofill/core/browser/autofill_metrics.h:369: FORM_EVENT_SUGGESTION_SHOWN_SUBMITTED_ONCE, FORM_EVENT_SUGGESTION_SHOWN_SUBMITTED_ONCE shouldn't go in this section, because the ...
9 months, 1 week ago (2016-12-15 21:30:26 UTC) #8
Shanfeng
https://codereview.chromium.org/2575263002/diff/60001/components/autofill/core/browser/autofill_metrics.h File components/autofill/core/browser/autofill_metrics.h (right): https://codereview.chromium.org/2575263002/diff/60001/components/autofill/core/browser/autofill_metrics.h#newcode369 components/autofill/core/browser/autofill_metrics.h:369: FORM_EVENT_SUGGESTION_SHOWN_SUBMITTED_ONCE, On 2016/12/15 21:30:26, jsaul wrote: > FORM_EVENT_SUGGESTION_SHOWN_SUBMITTED_ONCE shouldn't ...
9 months, 1 week ago (2016-12-15 21:59:03 UTC) #11
Jared Saul
https://codereview.chromium.org/2575263002/diff/60001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2575263002/diff/60001/tools/metrics/histograms/histograms.xml#newcode76575 tools/metrics/histograms/histograms.xml:76575: + <int value="9" label="Submitted with suggestion shwon (once)"/> On ...
9 months, 1 week ago (2016-12-15 22:21:00 UTC) #12
Walter Cacau
https://codereview.chromium.org/2575263002/diff/80001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (left): https://codereview.chromium.org/2575263002/diff/80001/tools/metrics/histograms/histograms.xml#oldcode76575 tools/metrics/histograms/histograms.xml:76575: - <int value="9" label="Submitted with no suggestion filled (once)"/> ...
9 months, 1 week ago (2016-12-15 23:04:23 UTC) #13
Shanfeng
On 2016/12/15 22:21:00, jsaul wrote: > https://codereview.chromium.org/2575263002/diff/60001/tools/metrics/histograms/histograms.xml > File tools/metrics/histograms/histograms.xml (right): > > https://codereview.chromium.org/2575263002/diff/60001/tools/metrics/histograms/histograms.xml#newcode76575 > ...
9 months, 1 week ago (2016-12-15 23:27:48 UTC) #14
Shanfeng
Thanks for review! https://codereview.chromium.org/2575263002/diff/80001/components/autofill/core/browser/autofill_metrics.h File components/autofill/core/browser/autofill_metrics.h (right): https://codereview.chromium.org/2575263002/diff/80001/components/autofill/core/browser/autofill_metrics.h#newcode366 components/autofill/core/browser/autofill_metrics.h:366: FORM_EVENT_SUGGESTION_SHOWN_SUBMITTED_ONCE, On 2016/12/15 22:20:59, jsaul wrote: ...
9 months, 1 week ago (2016-12-15 23:28:12 UTC) #15
Shanfeng
Thanks! https://codereview.chromium.org/2575263002/diff/80001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (left): https://codereview.chromium.org/2575263002/diff/80001/tools/metrics/histograms/histograms.xml#oldcode76575 tools/metrics/histograms/histograms.xml:76575: - <int value="9" label="Submitted with no suggestion filled ...
9 months, 1 week ago (2016-12-15 23:29:40 UTC) #16
Jared Saul
lgtm
9 months, 1 week ago (2016-12-16 01:38:02 UTC) #19
Walter Cacau
lgtm
9 months, 1 week ago (2016-12-16 01:39:55 UTC) #20
Mathieu
lgtm, thanks Shanfeng!
9 months, 1 week ago (2016-12-16 14:36:11 UTC) #21
rkaplow
lgtm
9 months, 1 week ago (2016-12-19 18:22:14 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2575263002/100001
9 months, 1 week ago (2016-12-19 20:04:52 UTC) #29
commit-bot: I haz the power
Committed patchset #6 (id:100001)
9 months, 1 week ago (2016-12-19 21:28:07 UTC) #32
commit-bot: I haz the power
9 months, 1 week ago (2016-12-19 21:33:18 UTC) #34
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/0132f2f2759b9e62b94c8846712c5b77e02baab7
Cr-Commit-Position: refs/heads/master@{#439569}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b